<?php
/*ini_set('display_errors',1);
error_reporting(E_ALL);*/
session_start();
include("functions.php");
$config = loadConfig();
if(o_login_check($_POST['user'],$_POST['password']) OR o_login_check($_SESSION['user'],$_SESSION['password'])) {


if(isset($_POST['user'])) {
$_SESSION['user'] = $_POST['user'];
$_SESSION['password'] = $_POST['password'];
}
if(!isset($_GET['update_step'])) {
echo '<!DOCTYPE html><html><head><link rel="Shortcut Icon" href="opolytics.png"><link rel="Stylesheet" href="style.php" type="text/css"><meta name="viewport" content="width=device-width, initial-scale=1.0"><title>Opolytics - Update bestätigen</title></head><body>';
include('menu.php');
echo '<h1>Update bestätigen</h1><p>Willkommen beim Update-Assistenten von Opolytics. Bitte autorisieren Sie das Update von Opolytics von Version '.$config[8].' zur neuesten Version, indem Sie das korrekte Admin-Passwort unten eingeben.</p><form action="?update_step=2" method="post">Geben Sie das korrekte Passwort ein.<br><input type="password" name="admin_password"><br><input type="submit" value="Bestätigen"></form>';
include('footer.php');
}
if(!password_verify($_POST['admin_password'],$config[2]) AND $_GET['update_step']==2) header('Location: update.php');
if($_GET['update_step']==2 AND password_verify($_POST['admin_password'],$config[2])) {
$_SESSION['admin_password'] = $_POST['admin_password'];
echo '<!DOCTYPE html><html><head><link rel="Shortcut Icon" href="opolytics.png"><link rel="Stylesheet" href="style.php" type="text/css"><meta name="viewport" content="width=device-width, initial-scale=1.0"><title>Opolytics - Update ausführen</title></head><body>';
include('menu.php');
echo '<h1>Update ausführen</h1><p>Das Update wird derzeit ausgeführt. Bitte haben Sie etwas Geduld, der Vorgang wird einen Augenblick dauern. Sie werden hier benachrichtigt, sobald der Vorgang abgeschlossen ist.</p><p><iframe src="?update_step=2.1" style="width:80%" id="status"></iframe><p id="forward" style="display:none"><a href="?update_step=3">Update beendet, hier klicken um fortzufahren</a></p>
<script>
document.getElementById("status").addEventListener("load",function() {
document.getElementById("forward").style.display = "block";
});
</script>';
include('footer.php');
}
if($_GET['update_step']==2.1 AND password_verify($_SESSION['admin_password'],$config[2])) {
echo 'Start downloading...<br>';
$download = unserialize(file_get_contents('https://na-web.lima-city.de/Tests/tracking/update/download.php')) or die('Error: Cannot download Index');
echo 'Downloading Index done<br>';
foreach($download AS $name) {
	$file = file_get_contents('https://na-web.lima-city.de/Tests/tracking/update/img/'.$name) or die('Error: Cannot download File: '.substr($name,0,-4));
	file_put_contents(substr($name,0,-4),$file);
	echo 'Downloaded and Written '.substr($name,0,-4).'<br>';
}
echo 'All Files Downloaded And Written, Save Version<br>';
$config[8] = file_get_contents('https://na-web.lima-city.de/Tests/tracking/update/update.htm') or die('Error: Cannot load Version');;
file_put_contents('config.txt',implode(', ',$config)) or die('Error: Cannot write Version');
echo 'Update done, continue';
}
if($_GET['update_step']==3 AND password_verify($_SESSION['admin_password'],$config[2])) {
echo '<!DOCTYPE html><html><head><link rel="Shortcut Icon" href="opolytics.png"><link rel="Stylesheet" href="style.php" type="text/css"><meta name="viewport" content="width=device-width, initial-scale=1.0"><title>Opolytics - Update ausgeführt</title></head><body>';
include('menu.php');
echo '<h1>Update ausgeführt</h1><p>Willkommen in der neusten Version von Opolytics.</p><p>Wir freuen uns, dass Sie sich wieder einmal für Opolytics entschieden haben. Testen Sie gleich jetzt alle neuen Funktionen, um Ihr Opolytics voll auszukosten.<br><br><input type="button" value="Gleich zur neuesten Version" onclick="window.location.href = \'view.php\';"></p>';
include('footer.php');
unset($_SESSION['admin_password']);
}
}
?>